<h2 style="text-align:center">OPEN SOURCE SOFTWARE NOTICE</h2>
<p>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just “this product”). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co. Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</p>
<h3>Warranty Disclaimer</h3>
<p><strong>THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.</strong></p>
<h3>Copyright Notice and License Texts</h3>
<h4>Software: AndroidX Appcompat 1.6.0</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2016 The Android Open Source Project</p>
<p>Copyright 2021 The Android Open Source Project</p>
<p>Copyright (c) 2006 The Android Open Source Project</p>
<p>Copyright (c) 2013 The Android Open Source Project</p>
<p>Copyright 2017 The Android Open Source Project</p>
<p>Copyright (c) 2017 The Android Open Source Project</p>
<p>Copyright (c) 2015 Google Inc.</p>
<p>Copyright (c) 2012 The Android Open Source Project</p>
<p>Copyright 2018 The Android Open Source Project</p>
<p>Copyright (c) 2011 The Android Open Source Project</p>
<p>Copyright (c) 2021 The Android Open Source Project</p>
<p>Copyright (c) 2015 The Android Open Source Project</p>
<p>Copyright 2022 The Android Open Source Project</p>
<p>Copyright (c) 2010 The Android Open Source Project</p>
<p>Copyright (c) 2014 The Android Open Source Project</p>
<h5>License: Apache License V2.0</h5>
<p>Apache License
Version 2.0, January 2004
http://www.apache.org/licenses/</p>
<p>TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION</p>
<ol>
<li>Definitions.</li>
</ol>
<p>&quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.</p>
<p>&quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.</p>
<p>&quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.</p>
<p>&quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License.</p>
<p>&quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.</p>
<p>&quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.</p>
<p>&quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).</p>
<p>&quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.</p>
<p>&quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot;</p>
<p>&quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.</p>
<ol start="2">
<li>
<p>Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.</p>
</li>
<li>
<p>Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.</p>
</li>
<li>
<p>Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:</p>
</li>
</ol>
<p>You must give any other recipients of the Work or Derivative Works a copy of this License; and
You must cause any modified files to carry prominent notices stating that You changed the files; and
You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and
If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.
You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.</p>
<ol start="5">
<li>
<p>Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.</p>
</li>
<li>
<p>Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.</p>
</li>
<li>
<p>Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.</p>
</li>
<li>
<p>Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.</p>
</li>
<li>
<p>Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.</p>
</li>
</ol>
<p>END OF TERMS AND CONDITIONS</p>
<h4>Software: boringssl fips-20220613</h4>
<h5>Copyright notice:</h5>
<p>No copyright notice found in source files of this software</p>
<h5>License: OpenSSL License</h5>
<p>====================================================================
Copyright (c) 1998-2002 The OpenSSL Project. All rights reserved.
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<ol>
<li>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</li>
<li>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</li>
<li>All advertising materials mentioning features or use of this software must display the following acknowledgment: &quot;This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)&quot;</li>
<li>The names &quot;OpenSSL Toolkit&quot; and &quot;OpenSSL Project&quot; must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.</li>
<li>Products derived from this software may not be called &quot;OpenSSL&quot; nor may &quot;OpenSSL&quot; appear in their names without prior written permission of the OpenSSL Project.</li>
<li>Redistributions of any form whatsoever must retain the following acknowledgment:
&quot;This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)&quot;
THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
====================================================================</li>
</ol>
<h4>Software: cJSON 1.7.16</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2009-2017 Dave Gamble and cJSON contributors</p>
<p>Copyright (c) 2009-2019 Dave Gamble and cJSON contributors</p>
<p>Copyright 2014 The Authors</p>
<p>Copyright (c) 2007 - 2017 Unity Project by Mike Karlesky, Mark VanderVoord, and Greg Williams</p>
<p>Copyright (c) 2007 Mike Karlesky, Mark VanderVoord, Greg Williams</p>
<p>Copyright (c) 2015 Alexander Mueller / XelaRellum@web.de</p>
<p>Copyright (c) 2007-14 Mike Karlesky, Mark VanderVoord, Greg Williams</p>
<p>Copyright (c) 2010 James Grenning and Contributed to Unity Project</p>
<h5>License: MIT License</h5>
<p>The MIT License</p>
<p>Copyright (c) &lt;year&gt; &lt;copyright holders&gt;</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the &quot;Software&quot;), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.</p>
<p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.</p>
<h4>Software: fastjson 1.2.83</h4>
<h5>Copyright notice:</h5>
<p>Copyright 1999-2017 Alibaba Group</p>
<p>Copyright (c) 2000-2007 INRIA, France Telecom</p>
<p>Copyright 1999-2100 Alibaba.com Corporation Limited</p>
<p>Copyright 2018 Diffblue Limited</p>
<p>Copyright 1999-2020 Alibaba Group Holding Ltd.</p>
<p>Copyright 2016 Dark Phoenixs</p>
<p>Copyright 1999-2018 Alibaba Group</p>
<p>Copyright (c) 2014 www.yiji.com Inc.</p>
<p>copyright 2009, Scooby</p>
<p>Copyright 1999-2019 Alibaba Group</p>
<p>Copyright 2015-2016 Dark Phoenixs</p>
<p>Copyright 2015 Alibaba.com</p>
<p>Copyright (c) 2003-2012 Taobao.com Inc.</p>
<p>Copyright 2008 Alibaba.com Croporation Limited</p>
<p>Copyright 1999-2019 Alibaba Group Holding Ltd.</p>
<p>Copyright 2008 Alibaba.com Corporation Limited</p>
<p>Copyright 2019 thunisoft, Inc.</p>
<p>Copyright Set 2009, Scooby Doo</p>
<p>Copyright (c) 2004, Mikael Grev, MiG InfoCom AB. (base64 miginfocom . com)</p>
<p>Copyright 1999-2004 Alibaba.com</p>
<p>Copyright 2011 Alibaba.com</p>
<p>Copyright (c) The Internet Society (2006)</p>
<p>Copyright 2018 Ulf Adams</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: fdk-aac v2.0.2</h4>
<h5>Copyright notice:</h5>
<p>(c) Copyright 1995 - 2013 Fraunhofer-Gesellschaft zur Forderung der angewandten Forschung e.V.</p>
<p>Copyright (c) 2020 The Android Open Source Project</p>
<p>(c) Copyright 1995 - 2018 Fraunhofer-Gesellschaft zur Forderung der angewandten Forschung e.V.</p>
<p>(c) Copyright 1995 - 2020 Fraunhofer-Gesellschaft zur Forderung der angewandten Forschung e.V.</p>
<p>(c) Copyright 1995 - 2019 Fraunhofer-Gesellschaft zur Forderung der angewandten Forschung e.V.</p>
<p>Copyright (c) 2009 Martin Storsjo</p>
<p>Copyright (c) 2011 Martin Storsjo</p>
<p>Copyright (c) 2008, 2009, 2011, 2012, MinGW.org Project</p>
<p>(c) Copyright 1999-2019 Fraunhofer IIS.</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h4>Software: libyuv-android 13.0.0_r11</h4>
<h5>Copyright notice:</h5>
<p>Copyright (c) 2011 The Chromium Authors.</p>
<p>Copyright (c) 2012 The LibYuv Project Authors.</p>
<p>Copyright (c) 1999, Google Inc.</p>
<p>Copyright (c) 2006, Google Inc.</p>
<p>Copyright (c) 2008, Google Inc.</p>
<p>Copyright (c) 2011, Google Inc.</p>
<p>Copyright (c) 2012 The LibYuv Project Authors.</p>
<p>Copyright (c) 2012 The LibYuv project authors. All Rights Reserved.</p>
<p>Copyright (c) 2014 The WebRTC project authors. All Rights Reserved.</p>
<p>Copyright (c) 2014, Andreas Schuh</p>
<p>Copyright (c) 2016 The LibYuv project authors. All Rights Reserved.</p>
<p>Copyright (c) 2017 The LibYuv Project Authors.</p>
<p>Copyright (c) 2017 The WebRTC project authors. All Rights Reserved.</p>
<p>Copyright 2011 Google Inc. All Rights Reserved.</p>
<p>Copyright 2011 The LibYuv Project Authors.</p>
<p>Copyright 2012 The LibYuv Project Authors.</p>
<p>Copyright 2013 The LibYuv Project Authors.</p>
<p>Copyright 2014 The LibYuv Project Authors.</p>
<p>Copyright 2015 The LibYuv Project Authors.</p>
<p>Copyright 2016 The LibYuv Project Authors.</p>
<p>Copyright 2017 The LibYuv Project Authors.</p>
<p>Copyright 2018 The LibYuv Project Authors.</p>
<h5>License: BSD 3-Clause License</h5>
<p>Copyright (c) &lt;YEAR&gt;, &lt;OWNER&gt;
All rights reserved.</p>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<ol>
<li>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
</li>
<li>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
</li>
<li>
<p>Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
</li>
</ol>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>
<h4>Software: OpenSSL 3.0.9</h4>
<h5>Copyright notice:</h5>
<p>Copyright 2020 The OpenSSL Project Authors</p>
<p>Copyright 2016-2020 The OpenSSL Project Authors</p>
<p>Copyright 2016-2023 The OpenSSL Project Authors</p>
<p>Copyright 20xx-20yy The OpenSSL Project Authors</p>
<p>Copyright 1995-2022 The OpenSSL Project Authors</p>
<p>Copyright (c) 1998-2022 The OpenSSL Project</p>
<p>Copyright (c) 1995-1998 Eric A. Young, Tim J. Hudson</p>
<p>Copyright 1995-2021 The OpenSSL Project Authors</p>
<p>Copyright 2000-2021 The OpenSSL Project Authors</p>
<p>Copyright 2007-2023 The OpenSSL Project Authors</p>
<p>Copyright Nokia 2007-2019</p>
<p>Copyright Siemens AG 2015-2019</p>
<p>Copyright 2008-2021 The OpenSSL Project Authors</p>
<p>Copyright 1995-2023 The OpenSSL Project Authors</p>
<p>Copyright 2002-2022 The OpenSSL Project Authors</p>
<p>Copyright (c) 2002, Oracle and/or its affiliates</p>
<p>Copyright 1995-2018 The OpenSSL Project Authors</p>
<p>Copyright 2019-2021 The OpenSSL Project Authors</p>
<p>Copyright 2006-2021 The OpenSSL Project Authors</p>
<p>Copyright 2018-2022 The OpenSSL Project Authors</p>
<p>Copyright 1999-2021 The OpenSSL Project Authors</p>
<p>Copyright 2001-2022 The OpenSSL Project Authors</p>
<p>Copyright 2000-2022 The OpenSSL Project Authors</p>
<p>Copyright 1999-2022 The OpenSSL Project Authors</p>
<p>Copyright 2006-2023 The OpenSSL Project Authors</p>
<p>Copyright 2006-2022 The OpenSSL Project Authors</p>
<p>Copyright 2004-2021 The OpenSSL Project Authors</p>
<p>Copyright 1998-2021 The OpenSSL Project Authors</p>
<p>Copyright 2015-2023 The OpenSSL Project Authors</p>
<p>Copyright (c) 2013-2014 Timo Teras <a href="mailto:timo.teras@gmail.com">timo.teras@gmail.com</a></p>
<p>Copyright 2005 Nokia</p>
<p>Copyright (c) 2004, EdelKey Project</p>
<p>Copyright 2016-2021 The OpenSSL Project Authors</p>
<p>Copyright 1995-2016 The OpenSSL Project Authors</p>
<p>Copyright 1999-2016 The OpenSSL Project Authors</p>
<p>Copyright 2002-2021 The OpenSSL Project Authors</p>
<p>Copyright (c) 2002 The OpenTSA Project</p>
<p>Copyright 2010-2016 The OpenSSL Project Authors</p>
<p>Copyright 2021 The OpenSSL Project Authors</p>
<p>Copyright 2019-2020 The OpenSSL Project Authors</p>
<p>Copyright 2018-2020 The OpenSSL Project Authors</p>
<p>Copyright 2018-2023 The OpenSSL Project Authors</p>
<p>Copyright Siemens AG 2018-2020</p>
<p>Copyright 2020-2021 The OpenSSL Project Authors</p>
<p>Copyright 2018-2021 The OpenSSL Project Authors</p>
<p>Copyright 2019 The OpenSSL Project Authors</p>
<p>Copyright 2016 The OpenSSL Project Authors</p>
<p>Copyright 2016 VMS Software, Inc.</p>
<p>Copyright 1995-2020 The OpenSSL Project Authors</p>
<p>Copyright 2017-2019 The OpenSSL Project Authors</p>
<p>Copyright 2019-2022 The OpenSSL Project Authors</p>
<p>Copyright 2015-2021 The OpenSSL Project Authors</p>
<p>Copyright 2016-2022 The OpenSSL Project Authors</p>
<p>Copyright 2010-2020 The OpenSSL Project Authors</p>
<p>Copyright 2015-2020 The OpenSSL Project Authors</p>
<p>Copyright 2011-2022 The OpenSSL Project Authors</p>
<p>Copyright 2012-2020 The OpenSSL Project Authors</p>
<p>Copyright 2017-2022 The OpenSSL Project Authors</p>
<p>Copyright 2020-2022 The OpenSSL Project Authors</p>
<p>Copyright 2016-2018 The OpenSSL Project Authors</p>
<p>Copyright 2000-2016 The OpenSSL Project Authors</p>
<p>Copyright 2004-2017 The OpenSSL Project Authors</p>
<p>Copyright 2019-2023 The OpenSSL Project Authors</p>
<p>Copyright 2004-2016 The OpenSSL Project Authors</p>
<p>Copyright (c) 2004, Richard Levitte <a href="mailto:richard@levitte.org">richard@levitte.org</a></p>
<p>Copyright 2004-2022 The OpenSSL Project Authors</p>
<p>Copyright (c) 2004, 2018, Richard Levitte <a href="mailto:richard@levitte.org">richard@levitte.org</a></p>
<p>Copyright 2002-2016 The OpenSSL Project Authors</p>
<p>Copyright 2004-2014, Akamai Technologies</p>
<p>Copyright 2011-2016 The OpenSSL Project Authors</p>
<p>Copyright 2003-2022 The OpenSSL Project Authors</p>
<p>Copyright 2001-2021 The OpenSSL Project Authors</p>
<p>Copyright 2015-2022 The OpenSSL Project Authors</p>
<p>Copyright (c) 2019, Oracle and/or its affiliates</p>
<p>Copyright 2021-2022 The OpenSSL Project Authors</p>
<p>Copyright 2009-2020 The OpenSSL Project Authors</p>
<p>Copyright 2009-2021 The OpenSSL Project Authors</p>
<p>Copyright 2007-2020 The OpenSSL Project Authors</p>
<p>Copyright 2010-2022 The OpenSSL Project Authors</p>
<p>Copyright 2005-2016 The OpenSSL Project Authors</p>
<p>Copyright 2005-2021 The OpenSSL Project Authors</p>
<p>Copyright 2004-2020 The OpenSSL Project Authors</p>
<p>Copyright 2002-2020 The OpenSSL Project Authors</p>
<p>Copyright 2006-2020 The OpenSSL Project Authors</p>
<p>Copyright 2008-2020 The OpenSSL Project Authors</p>
<p>Copyright 2006-2016 The OpenSSL Project Authors</p>
<p>Copyright 2005-2020 The OpenSSL Project Authors</p>
<p>Copyright 2013-2020 The OpenSSL Project Authors</p>
<p>Copyright 2011-2020 The OpenSSL Project Authors</p>
<p>Copyright 2009-2022 The OpenSSL Project Authors</p>
<p>Copyright 2014-2020 The OpenSSL Project Authors</p>
<p>Copyright 2012-2021 The OpenSSL Project Authors</p>
<p>Copyright 2014-2023 The OpenSSL Project Authors</p>
<p>Copyright 2012-2023 The OpenSSL Project Authors</p>
<p>Copyright 2011-2021 The OpenSSL Project Authors</p>
<p>Copyright 2017-2021 The OpenSSL Project Authors</p>
<p>Copyright (c) 2017, Oracle and/or its affiliates</p>
<p>Copyright (c) 2017 National Security Research Institute</p>
<p>Copyright 1999-2020 The OpenSSL Project Authors</p>
<p>Copyright 2000-2020 The OpenSSL Project Authors</p>
<p>Copyright 2008-2022 The OpenSSL Project Authors</p>
<p>Copyright 1999-2023 The OpenSSL Project Authors</p>
<p>Copyright 2008-2023 The OpenSSL Project Authors</p>
<p>Copyright 2015-2016 The OpenSSL Project Authors</p>
<p>Copyright Patrick Powell 1995</p>
<p>Copyright 2005-2022 The OpenSSL Project Authors</p>
<p>Copyright 1998-2023 The OpenSSL Project Authors</p>
<p>Copyright 2014-2021 The OpenSSL Project Authors</p>
<p>Copyright 2002-2023 The OpenSSL Project Authors</p>
<p>Copyright 1995-2017 The OpenSSL Project Authors</p>
<p>Copyright (c) 2018-2019, Oracle and/or its affiliates</p>
<p>Copyright 2013-2022 The OpenSSL Project Authors</p>
<p>Copyright (c) 2012, Intel Corporation</p>
<p>Copyright (c) 2020, Intel Corporation</p>
<p>Copyright 2020-2023 The OpenSSL Project Authors</p>
<p>Copyright 2012-2016 The OpenSSL Project Authors</p>
<p>Copyright 2001-2018 The OpenSSL Project Authors</p>
<p>Copyright 2010-2021 The OpenSSL Project Authors</p>
<p>Copyright 2007-2016 The OpenSSL Project Authors</p>
<p>Copyright 2002-2018 The OpenSSL Project Authors</p>
<p>Copyright 2006 NTT (Nippon Telegraph and Telephone Corporation)</p>
<p>Copyright (c) 2008 Andy Polyakov <a href="mailto:appro@openssl.org">appro@openssl.org</a></p>
<p>Copyright 2016-2019 The OpenSSL Project Authors</p>
<p>Copyright IBM Corp. 2018</p>
<p>Copyright 2007-2021 The OpenSSL Project Authors</p>
<p>Copyright 2007-2022 The OpenSSL Project Authors</p>
<p>Copyright Nokia 2007-2020</p>
<p>Copyright Siemens AG 2015-2020</p>
<p>Copyright 2013-2021 The OpenSSL Project Authors</p>
<p>Copyright 1998-2020 The OpenSSL Project Authors</p>
<p>Copyright Nokia 2007-2018</p>
<p>Copyright 1998-2016 The OpenSSL Project Authors</p>
<p>Copyright 2000-2018 The OpenSSL Project Authors</p>
<p>Copyright 2011 Google Inc.</p>
<p>Copyright 2014-2022 The OpenSSL Project Authors</p>
<p>Copyright (c) 2014, Intel Corporation</p>
<p>Copyright (c) 2015, CloudFlare, Inc.</p>
<p>Copyright 2014-2016 The OpenSSL Project Authors</p>
<p>Copyright 2021-2023 The OpenSSL Project Authors</p>
<p>Copyright (c) 2015 CloudFlare, Inc.</p>
<p>Copyright 2015-2016 Cryptography Research, Inc.</p>
<p>Copyright 2015 Cryptography Research, Inc.</p>
<p>Copyright 2014 Cryptography Research, Inc.</p>
<p>Copyright 2017-2018 The OpenSSL Project Authors</p>
<p>Copyright 2016 Cryptography Research, Inc.</p>
<p>Copyright 2014-2016 Cryptography Research, Inc.</p>
<p>Copyright 2001-2020 The OpenSSL Project Authors</p>
<p>Copyright 2001-2023 The OpenSSL Project Authors</p>
<p>Copyright 2017 Ribose Inc.</p>
<p>Copyright 2022 The OpenSSL Project Authors</p>
<p>Copyright 1995-2019 The OpenSSL Project Authors</p>
<p>Copyright 2008-2016 The OpenSSL Project Authors</p>
<p>Copyright 2013-2018 The OpenSSL Project Authors</p>
<p>Copyright 1998-2022 The OpenSSL Project Authors</p>
<p>Copyright 2000-2023 The OpenSSL Project Authors</p>
<p>Copyright 2001-2016 The OpenSSL Project Authors</p>
<p>Copyright IBM Corp. 2018-2019</p>
<p>Copyright 1999-2018 The OpenSSL Project Authors</p>
<p>Copyright IBM Corp. 2019</p>
<p>Copyright 2017 BaishanCloud</p>
<p>Copyright (c) 2007 KISA(Korea Information Security Agency)</p>
<p>Copyright 2017-2020 The OpenSSL Project Authors</p>
<p>Copyright (c) 2012-2016 Jean-Philippe Aumasson</p>
<p>Copyright (c) 2012-2014 Daniel J. Bernstein</p>
<p>Copyright 2017-2023 The OpenSSL Project Authors</p>
<p>Copyright 2006-2018 The OpenSSL Project Authors</p>
<p>Copyright 2017 The OpenSSL Project Authors</p>
<p>Copyright 2004-2023 The OpenSSL Project Authors</p>
<p>Copyright 2003-2023 The OpenSSL Project Authors</p>
<p>Copyright (c) 2004 Kungliga Tekniska Hogskolan (Royal Institute of Technology, Stockholm, Sweden)</p>
<p>Copyright 2003-2021 The OpenSSL Project Authors</p>
<p>Copyright 1998-2017 The OpenSSL Project Authors</p>
<p>Copyright 2013-2017 The OpenSSL Project Authors</p>
<p>Copyright 2015-2017 The OpenSSL Project Authors</p>
<p>Copyright 2012-2022 The OpenSSL Project Authors</p>
<p>Copyright 2007-2018 The OpenSSL Project Authors</p>
<p>Copyright 2022-2023 The OpenSSL Project Authors</p>
<p>Copyright 2000-2017 The OpenSSL Project Authors</p>
<p>Copyright 2008-2018 The OpenSSL Project Authors</p>
<p>Copyright 2013-2023 The OpenSSL Project Authors</p>
<p>Copyright 2004-2018 The OpenSSL Project Authors</p>
<p>Copyright 2018-2019 The OpenSSL Project Authors</p>
<p>Copyright 2007-2019 The OpenSSL Project Authors</p>
<p>Copyright 2016-2017 The OpenSSL Project Authors</p>
<p>Copyright 2015-2018 The OpenSSL Project Authors</p>
<p>Copyright 2000-2019 The OpenSSL Project Authors</p>
<p>Copyright 2018 The OpenSSL Project Authors</p>
<p>Copyright 2001-2017 The OpenSSL Project Authors</p>
<p>Copyright 2009-2023 The OpenSSL Project Authors</p>
<p>Copyright 2023 The OpenSSL Project Authors</p>
<p>Copyright 2019 Red Hat, Inc.</p>
<p>Copyright 2011-2023 The OpenSSL Project Authors</p>
<p>copyright (c) 2013 by Mark Jason Dominus <a href="mailto:mjd@cpan.org">mjd@cpan.org</a></p>
<p>Copyright (c) 2013 by Mark Jason Dominus <a href="mailto:mjd@cpan.org">mjd@cpan.org</a></p>
<p>Copyright (c) 1989 Free Software Foundation, Inc.</p>
<p>copyrighted by the Free Software Foundation</p>
<p>Copyright 2013 M. J. Dominus</p>
<p>Copyright (c) 2018, Oracle and/or its affiliates</p>
<p>Copyright (c) 2006, Network Resonance, Inc.</p>
<p>Copyright (c) 2011, RTFM, Inc.</p>
<p>Copyright 2012, Samuel Neves <a href="mailto:sneves@dei.uc.pt">sneves@dei.uc.pt</a></p>
<p>Copyright 2005-2023 The OpenSSL Project Authors</p>
<p>Copyright 2014-2018 The OpenSSL Project Authors</p>
<p>Copyright 2016-2016 The OpenSSL Project Authors</p>
<p>Copyright (c) 2018-2020, Oracle and/or its affiliates</p>
<p>Copyright (c) 2019-2020, Oracle and/or its affiliates</p>
<p>Copyright Siemens AG 2020</p>
<p>Copyright 2006-2017 The OpenSSL Project Authors</p>
<p>Copyright 2021 UnionTech</p>
<p>Copyright (c) 2016 Viktor Dukhovni <a href="mailto:openssl-users@dukhovni.org">openssl-users@dukhovni.org</a></p>
<p>Copyright 2021 UnionTech (https://www.uniontech.com)</p>
<p>Copyright 2017 Ribose Inc. (https://www.ribose.com)</p>
<p>Copyright 2023The OpenSSL Project Authors</p>
<p>Copyright Siemens AG 2015-2022</p>
<p>Copyright Siemens AG 2019-2022</p>
<p>Copyright 2005-2018 The OpenSSL Project Authors</p>
<p>Copyright 2014-2017 The OpenSSL Project Authors</p>
<h5>License: Apache License V2.0</h5>
<p>Please see above</p>
<h3>Written Offer</h3>
<p>This product contains software whose rights holders license it on the terms of the GNU General Public License, version 2 (GPLv2) and/or other open source software licenses. We will provide you and any third party with the source code of the software licensed under an open source software license if you send us a written request by mail or email to the following addresses:</p>
<p>mobile@huawei.com</p>
<p>detailing the name of the product and the firmware version for which you need the source code and indicating how we can contact you.
Please note you need to make a payment before you obtain the complete Corresponding Source Code from us. For how much you will pay and how we will deliver the complete Corresponding Source Code to you, we will further discuss it by mail or email.
This offer is valid to anyone in receipt of this information.</p>
<p>Please note you need to make a payment before you obtain the complete Corresponding Source Code from us. For how much you will pay and how we will deliver the complete Corresponding Source Code to you, we will further discuss it by mail or email.</p>
<p>This offer is valid to anyone in receipt of this information.</p>
<p><strong>THIS OFFER IS VALID FOR THREE YEARS FROM THE MOMENT WE DISTRIBUTED THE PRODUCT OR FIRMWARE.</strong></p>
